# Run tests in check section
# Deactivating test: tests depends on fuse being present and fuse.ko being 
# loaded but the chroot doesn't allow to insert module.
%bcond_with check

%global goipath         bazil.org/fuse
%global forgeurl        https://github.com/bazil/fuse
%global commit          65cc252bf6691cb3c7014bcb2c8dc29de91e3a7e

%global common_description %{expand:
Go library for writing FUSE userspace filesystems.}

%gometa

Name:    %{goname}
Version: 0
Release: %mkrel 0.9
Summary: Go library for writing FUSE userspace filesystems
Group:   Development/Other
License: BSD and MIT
URL:     %{gourl}
Source:  %{gosource}

BuildRequires: golang(golang.org/x/net/context)
BuildRequires: golang(golang.org/x/sys/unix)

%description
%{common_description}


%package    devel
Summary:    %{summary}
 
%description devel
%{common_description}
 
This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup
%goprep


%install
%goinstall


%if %{with check}
%check
%gocheck
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md doc examples




%changelog
* Sat Jun 27 2020 joequant <joequant> 0-0.9.mga8
+ Revision: 1599483
- rebuild

* Tue Nov 20 2018 pterjan <pterjan> 0-0.8.20181120git65cc252.mga7
+ Revision: 1332493
- imported package golang-bazil-fuse

